Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.unittest.issues
Class Issue1Test

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.sun.syndication.unittest.FeedTest
                  com.sun.syndication.unittest.SyndFeedTest
                      com.sun.syndication.unittest.issues.Issue1Test

All Implemented Interfaces:
  junit.framework.Test

    public class Issue1Test

extends SyndFeedTest

Author:
  robert.cooper

Constructor Summary
`Issue1Test()`

Method Summary
`protected void` | `_testInvalidEntities(String xmlDoc)`
`protected void` | `_testInvalidTrim(String garbish, String xmlDoc)`
`protected void` | `_testValidEntities(String xmlDoc)`
`protected void` | `_testValidTrim(String garbish, String xmlDoc)`
`protected void` | `_testXmlParse(String garbish, String xmlDoc)`
`protected InputStream` | `getStream(String garbish, String xmlDoc)`
`void` | `testAmpHandling()`
`void` | `testHtmlEntities()`
`void` | `testTrim()`

Methods inherited from class com.sun.syndication.unittest.SyndFeedTest
`assertEqualsStr, assertProperty, getEntryAuthor, getEntryDescription, getEntryLink, getEntryPublishedDate, getEntryTitle, getPrefix, tearDown, testDescription, testEntries, testEntryDescription, testEntryLink, testEntryPublishedDate, testEntryTitle, testImage, testLanguage, testLink, testPreserveWireFeed, testPublishedDate, testTitle, testType`

Methods inherited from class com.sun.syndication.unittest.FeedTest
`getCachedJDomDoc, getCachedSyndFeed, getCachedSyndFeed, getCachedWireFeed, getFeedFileName, getFeedReader, getJDomDoc, getSyndFeed, getWireFeed`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Issue1Test

    public Issue1Test()

Method Detail

### testAmpHandling

    public void testAmpHandling()
                         throws Exception

  Throws:
    `Exception`

### testHtmlEntities

    public void testHtmlEntities()
                          throws Exception

  Throws:
    `Exception`

### testTrim

    public void testTrim()
                  throws Exception

  Throws:
    `Exception`

### getStream

    protected InputStream getStream(String garbish,
                                    String xmlDoc)
                             throws IOException

  Throws:
    `IOException`

### _testInvalidEntities

    protected void _testInvalidEntities(String xmlDoc)
                                 throws Exception

  Throws:
    `Exception`

### _testInvalidTrim

    protected void _testInvalidTrim(String garbish,
                                    String xmlDoc)
                             throws Exception

  Throws:
    `Exception`

### _testValidEntities

    protected void _testValidEntities(String xmlDoc)
                               throws Exception

  Throws:
    `Exception`

### _testValidTrim

    protected void _testValidTrim(String garbish,
                                  String xmlDoc)
                           throws Exception

  Throws:
    `Exception`

### _testXmlParse

    protected void _testXmlParse(String garbish,
                                 String xmlDoc)
                          throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.